Skip to content
Documentation

Update a conversation

PATCH
/v1/public-api/conversations/{uuid}

Scope: conversations:write. Updates status, priority, subject, assignee, team and snooze time (snoozed_until); only the fields you send change. Idempotency-Key is required.

Authorization

integrationKey
headerAuthorizationBearer <cf_sk_…>

Organization API key (cf_sk_…), created under Organization → API and automations → API keys and sent as Authorization: Bearer cf_sk_….

Path Parameters

uuid*string
Formatuuid

Header Parameters

Idempotency-Key*string
Lengthlength <= 200

Request Body

application/json
  1. body
status?ConversationStatus
Value in"open""pending""snoozed""resolved""closed"
priority?ConversationPriority
Value in"low""normal""high""urgent"
subject?string
Lengthlength <= 500
assignee?|
Formatuuid
team?|

Team uuid; null removes the team (tenant.conversations.assign)

Formatuuid
snoozed_until?string
Formatdate-time

Response Body

Success

application/json
  1. response
success*boolean
data*unknown
meta?
Example Request
curl -X PATCH 'https://api.getclickfix.com/v1/public-api/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Idempotency-Key: string' \  -H 'Content-Type: application/json' \  -d '{  "status": "pending",  "priority": "high",  "assignee": "5d6e7f80-9a1b-4c2d-8e3f-4a5b6c7d8e9f"}'
Example Response
{  "success": true,  "data": {    "uuid": "8f0e5c2a-6b1d-4f3a-9c7e-2d4b6a8c0e1f",    "number": 1042,    "status": "pending",    "priority": "high",    "subject": "Delivery question",    "inbox": {      "uuid": "c2a9d7e4-1f3b-4c5d-8e6f-7a8b9c0d1e2f",      "name": "Web widget"    },    "contact": {      "uuid": "a1b2c3d4-e5f6-4a7b-8c9d-0e1f2a3b4c5d",      "name": "Ayşe Yılmaz",      "external_id": "1001",      "identity_state": "verified"    },    "assignee": {      "uuid": "5d6e7f80-9a1b-4c2d-8e3f-4a5b6c7d8e9f",      "name": "Mehmet Kaya"    },    "created_at": "2026-11-11T09:15:00Z",    "updated_at": "2026-11-11T09:15:00Z"  },  "meta": {    "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB"  }}